Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012459ScribusUndo/Redopublic2014-07-01 15:502015-03-03 16:49
ReporterFirasH 
Assigned Tocbradney 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.4.6.svn 
Summary0012459: Undo/Redo does not restore the correct position using Flip Horizontal/Vertical
DescriptionUndo/Redo does not restore the correct position using Flip Horizontal/Vertical.
Steps To Reproduce0) Create a new document
1) Insert 2 items (example: Text Frames with some text)
Do not create the items with the same size or position.

2) Select the 2 items and Properties > X,Y,Z > Flip Horizontal/Vertical
3) Undo step 2
The text is flipped back, but not the position of the 2 Text Frames.

Undo/Redo does not restore the previous position.
The position can be restored pressing again on Flip Horizontal/Vertical.
Additional InformationIssue present on:
Scribus 1.4.5.svn (19295)
Scribus 1.5.0.svn (19302)


Screencast: https://www.dropbox.com/s/pegmfdpia81ao7c/12459.mp4 [^]
TagsNo tags attached.
PatchNo
Attached Filesdiff file icon patch.diff [^] (1,942 bytes) 2015-03-01 22:50 [Show Content]

- Relationships
child of 0012500acknowledged Metabug: Undo/Redo (1.5.0.svn) 

-  Notes
(0032793)
Kunda (manager)
2014-07-17 01:38

Confirmed 1.5svn r19342
(0034629)
Chelen (developer)
2015-03-01 22:50

I added a patch but I am not confortable anymore with scribus codebase so please tell me if I do something wrong.
(0034633)
FirasH (developer)
2015-03-03 16:49

Thanks!
Fixed in 1.4.6.svn (19893) and 1.5.0.svn (19896).

- Issue History
Date Modified Username Field Change
2014-07-01 15:50 FirasH New Issue
2014-07-09 03:15 FirasH Relationship added child of 0012500
2014-07-17 01:38 Kunda Note Added: 0032793
2014-07-17 01:38 Kunda Status new => confirmed
2014-07-17 01:38 Kunda Target Version => 1.5.1
2015-03-01 22:50 Chelen File Added: patch.diff
2015-03-01 22:50 Chelen Note Added: 0034629
2015-03-02 19:50 cbradney Status confirmed => resolved
2015-03-02 19:50 cbradney Fixed in Version => 1.5.0svn
2015-03-02 19:50 cbradney Resolution open => fixed
2015-03-02 19:50 cbradney Assigned To => cbradney
2015-03-02 19:52 cbradney Patch => No
2015-03-02 19:52 cbradney Target Version 1.5.1 => 1.5.0
2015-03-02 19:54 cbradney Fixed in Version 1.5.0svn => 1.4.6.svn
2015-03-03 16:49 FirasH Note Added: 0034633
2015-03-03 16:49 FirasH Status resolved => closed



Copyright © 2000 - 2015 MantisBT Team
Powered by Mantis Bugtracker